org.codehaus.groovy.ast.decompiled

## Class AsmDecompiler

- java.lang.Object
- - org.codehaus.groovy.ast.decompiled.AsmDecompiler

-     public abstract class AsmDecompiler
      extends java.lang.Object

  A utility class responsible for decompiling JVM class files and producing `ClassStub` objects reflecting their structure.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsmDecompiler()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClassStub` | `parseClass(java.net.URL url)` Loads the URL contents and parses them with ASM, producing a `ClassStub` object representing the structure of the corresponding class file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsmDecompiler

          public AsmDecompiler()

  - ### Method Detail

    - #### parseClass

          public static ClassStub parseClass(java.net.URL url)
                                      throws java.io.IOException

      Loads the URL contents and parses them with ASM, producing a `ClassStub` object representing the structure of the corresponding class file. Stubs are cached and reused if queried several times with equal URLs.
      Parameters:
        `url` - an URL from a class loader, most likely a file system file or a JAR entry.
      Returns:
        the class stub
      Throws:
        `java.io.IOException` - if reading from this URL is impossible